### Function

# RB settings_delayed_sync

#### Declaration [src]

    void
    rb_settings_delayed_sync (
      GSettings* settings,
      RBDelayedSyncFunc sync_func,
      gpointer data,
      GDestroyNotify destroy
    )

#### Description [src]

Synchronizes settings in the `settings` instance after 500ms has elapsed with no further changes.

#### Parameters

`settings`

  Type: `GSettings`

  `GSettings` instance.

  The data is owned by the caller of the function.

`sync_func`

  Type: `RBDelayedSyncFunc`

  Function to call.

  The argument can be `NULL`.

`data`

  Type: `gpointer`

  Data to pass to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`destroy`

  Type: `GDestroyNotify`

  Function to use to free `data`.

  The argument can be `NULL`.